#include "stdinc.h"
#include "DCPlusPlus.h"
#include "ResourceManager.h"

string ResourceManager::strings[] = {
"Active", 
"Enabled / Search String", 
"&Add", 
"Add To Favorites", 
"Added", 
"Address already in use", 
"Address not available", 
"Discard", 
"Automatic Directory Listing Search", 
"Full Path", 
"All download slots taken", 
"All %d users offline", 
"All 3 users offline", 
"All 4 users offline", 
"All", 
"Any", 
"At least", 
"At most", 
"Audio", 
"Auto connect / Name", 
"Auto grant slot / Nick", 
"Average/s: ", 
"AWAY", 
"Away mode off", 
"Away mode on: ", 
"B", 
"Ban user(s)", 
"0/1", 
"Both users offline", 
"Browse...", 
"&Browse...", 
"Browse file list", 
"Choose folder", 
"Close", 
"Close connection", 
"Compressed", 
"Error during compression", 
"&Connect", 
"Connected", 
"Connecting...", 
"Connecting (forced)...", 
"Connecting to ", 
"Connection", 
"Connection closed", 
"Connection refused by target machine", 
"Connection reset by server", 
"Connection timeout", 
"Configured Public Hub Lists", 
"Copy address to clipboard", 
"Copy Nick", 
"Could not open target file: ", 
"Count", 
"Country", 
"CRC/TTH", 
"Error during decompression", 
"Description", 
"Destination", 
"Directory", 
"Directory already shared", 
"Directory or directory name already exists", 
"Disconnect user(s)", 
"Disk full(?)", 
"Disconnected", 
"Disconnected user leaving the hub: ", 
"Document", 
"Done", 
"Don't remove /password before your password", 
"The temporary download directory cannot be shared", 
"Download", 
"Download failed: ", 
"Download finished, idle...", 
"Download Queue", 
"Download starting...", 
"Download to...", 
"Download whole directory", 
"Download whole directory to...", 
"Downloaded", 
"Downloaded %s (%.01f%%) in %s", 
" downloaded from ", 
"Downloading...", 
"Downloading public hub list...", 
"Downloading list...", 
"Duplicate file will not be shared: ", 
"Dupe matched against: ", 
"Duplicate source", 
"&Edit", 
"E-Mail", 
"Please enter a nickname in the settings dialog!", 
"Enter search string", 
"Errors", 
"Exact size", 
"Executable", 
"Join/part of favorite users showing off", 
"Join/part of favorite users showing on", 
"Favorite name", 
"Under what name you see the directory", 
"Favorite hub added", 
"Identification (leave blank for defaults)", 
"Favorite Hub Properties", 
"Favorite Hubs", 
"Favorite user added", 
"Favorite Users", 
"File", 
"Files", 
"File list refresh finished", 
"File list refresh initiated", 
"File not available", 
"File type", 
"A file with a different size already exists in the queue", 
"A file with diffent tth root already exists in the queue", 
"Filename", 
"files left", 
"files/h", 
"F&ilter", 
"Filtered", 
"Find", 
"Finished Downloads", 
"Finished Uploads", 
"File with '$' cannot be downloaded and will not be shared: ", 
"Force attempt", 
"GB", 
"Get file list", 
"Go to directory", 
"Grant extra slot (10 min)", 
"Hash database", 
"Creating file index...", 
"Run in background", 
"Statistics", 
"Please wait while CZDC++ indexes your files (they won't be shared until they've been indexed)...", 
"Hash database rebuilt", 
"Finished hashing: ", 
"High", 
"Highest", 
"Hit Ratio: ", 
"Hits: ", 
"Host unreachable", 
"Hub", 
"Hubs", 
"Address", 
"Hub list downloaded...", 
"Name", 
"Users", 
"Ignore TTH searches", 
"Ignored message: ", 
"Invalid number of slots", 
"Invalid target file (missing directory, check default download directory setting)", 
"Downloaded tree does not match TTH root", 
"IP: ", 
"IP", 
"Items", 
"Join/part showing off", 
"Join/part showing on", 
"Joins: ", 
"kB", 
"kB/s", 
"Kick user(s)", 
"A file of equal or larger size already exists at the target location", 
"Last change: ", 
"Hub (last seen on if offline)", 
"Time last seen", 
"left", 
"Loading CZDC++, please wait...", 
"Low", 
"Lowest", 
"Filename:", 
"File Hash:", 
"Do nothing", 
"Add this file to your download queue", 
"Do the same action next time without asking", 
"Start a search for this file", 
"A MAGNET link was given to CZDC++, but it didn't contain a valid file hash for use on the Direct Connect network.  No action will be taken.", 
"CZDC++ has detected a MAGNET link with a file hash that can be searched for on the Direct Connect network.  What would you like to do?", 
"MAGNET Link detected", 
"Download files from the Direct Connect network", 
"CZDC++", 
"URL:MAGNET URI", 
"Manual connect address", 
"Match queue", 
"Matched %d file(s)", 
"Max Hubs", 
"Max Users", 
"MB", 
"MB/s", 
"About CZDC++", 
"ADL Search", 
"Arrange windows", 
"Cascade", 
"Close disconnected", 
"CZDC++ Discussion forum", 
"&Download Queue\tCtrl+D", 
"&Exit", 
"&Favorite Hubs\tCtrl+F", 
"Favorite &Users\tCtrl+U", 
"&File", 
"Follow last redirec&t\tCtrl+T", 
"Indexing progress", 
"&Help", 
"CZDC++ Homepage", 
"Horizontal Tile", 
"Minimize &All", 
"Restore All", 
"Network Statistics", 
"&Notepad\tCtrl+N", 
"Open downloads directory", 
"Open file list...\tCtrl+L", 
"Open own list", 
"&Public Hubs\tCtrl+P", 
"&Quick Connect ...\tCtrl+Q", 
"&Reconnect\tCtrl+R", 
"Refresh file list\tCtrl+E", 
"&Search\tCtrl+S", 
"Search Spy", 
"Settings...", 
"Show", 
"&Status bar\tCtrl+2", 
"&Toolbar\tCtrl+1", 
"T&ransfers\tCtrl+3", 
"Vertical Tile", 
"&View", 
"&Window", 
"Min Share", 
"Min Slots", 
"Move/Rename", 
"Move &Down", 
"Move &Up", 
"Network Statistics", 
"Network unreachable (are you connected to the internet?)", 
"&New...", 
"Next", 
"Nick", 
"Your nick was already taken, please change to something else!", 
" (Nick unknown)", 
"No", 
"No directory specified", 
"You're trying to download from yourself!", 
"No errors", 
"No matches", 
"No slots available", 
"No users", 
"No users to download from", 
"Non-blocking operation still in progress", 
"Normal", 
"Not connected", 
"Not a socket", 
"Notepad", 
"Offline", 
"Online", 
"Only users with free slots", 
"Only results with TTH root", 
"Only where I'm op", 
"Open", 
"Open download page?", 
"Open folder", 
"Operating system does not match minimum requirements for feature", 
"Operation would block execution", 
"Out of buffer space", 
"Parts: ", 
"Passive user", 
"Password", 
"Path", 
"Paused", 
"Permission denied", 
"Picture", 
"Port: ", 
"Port %d is busy, please choose another one in the settings dialog, or disable any other application that might be using it and restart CZDC++", 
"Press the follow redirect button to connect to ", 
"Priority", 
"Private message from ", 
"&Properties", 
"Public Hubs", 
"Quick Connect", 
"Rating", 
"Ratio", 
"Re-add source", 
"Really exit?", 
"Redirect request received to a hub that's already connected", 
"Redirect user(s)", 
"&Refresh", 
"Reliability", 
"&Remove", 
"Remove all", 
"Remove all subdirectories before adding this one", 
"Remove user from queue", 
"Remove source", 
"Rollback inconsistency, existing file does not match the one being downloaded", 
"Running...", 
"Search", 
"Search for", 
"Search for alternates", 
"Search for file", 
"Search options", 
"Search spam detected from ", 
"Search Spy", 
"Search String", 
"Searching for ", 
"Ready to search...", 
"Searching too soon, next search in %i seconds", 
"Request to seek beyond the end of data", 
"Send private message", 
"Separator", 
"Server", 
"Set priority", 
"Settings", 
"Add finished files to share instantly (if shared)", 
"&Add folder", 
"Break on first ADLSearch match", 
"Advanced", 
"Advanced resume using TTH", 
"Advanced settings", 
"Use antifragmentation method for downloads", 
"Appearance", 
"Auto-away on minimize (and back on restore)", 
"Automatically follow redirects", 
"Automatically disconnect users who leave the hub", 
"Automatically search for alternative download locations", 
"Automatically match queue for auto search hits", 
"Automatically refresh share list every hour", 
"Auto-open at startup", 
"Bind address", 
"&Change", 
"Clear search box after each search", 
"Command", 
"Enable safe and compressed transfers", 
"Configure Public Hub Lists", 
"Confirm application exit", 
"Connection Settings (see the readme / newbie help if unsure)", 
"Connection Type", 
"Default away message", 
"Directories", 
"Don't download files already in share", 
"Default download directory", 
"Limits", 
"Downloads", 
"Maximum simultaneous downloads (0 = infinite)", 
"No new downloads if speed exceeds (kB/s, 0 = disable)", 
"Only show joins / parts for favorite users", 
"Download to", 
"Favorite download to directories", 
"Filename", 
"Filter kick and NMDC debug messages", 
"Set Finished Manager(s) tab bold when an entry is added", 
"Format", 
"General", 
"Get User Country", 
"Accept custom user commands from hub", 
"Ignore private messages from offline users", 
"IP", 
"Don't delete file lists when exiting", 
"Language file", 
"Keep duplicate files in your file list", 
"Log downloads", 
"Log filelist transfers", 
"Log main chat", 
"Log private chat", 
"Log status messages", 
"Log system messages", 
"Log uploads", 
"Logging", 
"Logs", 
"Ask what to do when a magnet link is detected.", 
"Max hash speed", 
"Max tab rows", 
"Minimize to tray", 
"Name", 
"Note; Files appear in the share only after they've been hashed!", 
"Search for files with TTH root only as standard", 
"Open new window when using /join", 
"Options", 
"Passive", 
"Personal Information", 
"Make an annoying sound every time a private message is received", 
"Make an annoying sound when a private message window is opened", 
"Open new file list windows in the background", 
"Open new private message windows in the background", 
"Open private messages from offline users in their own window", 
"Open private messages in their own window", 
"TCP Port", 
"Public Hubs list", 
"HTTP Proxy (for hublist only)", 
"Public Hubs list URL", 
"Set Download Queue tab bold when contents change", 
"Queue", 
"Rename", 
"Note; most of these options require that you restart CZDC++", 
"Rollback", 
"&Text style", 
"&Window color", 
"Send unknown /commands to the hub", 
"Enable automatic SFV checking", 
"Share hidden files", 
"Total size:", 
"Shared directories", 
"Show joins / parts in chat by default", 
"Show progress bars for transfers (uses some CPU)", 
"Skip zero-byte files", 
"Use small send buffer (enable if uploads slow downloads a lot)", 
"SOCKS5", 
"Socks IP", 
"Port", 
"Use SOCKS5 server to resolve hostnames", 
"Username", 
"Sounds", 
"Note; because of changing download speeds, this is not 100% accurate...", 
"View status messages in main chat", 
"Tab completion of nicks in chat", 
"Set hub/PM/Search tab bold when contents change", 
"Highest prio size", 
"High prio size", 
"Normal prio size", 
"Low prio size", 
"Lowest prio enabled", 
"Show timestamps in chat by default", 
"Set timestamps", 
"Toggle window when selecting an active tab", 
"UDP Port", 
"Unfinished downloads directory", 
"Sharing", 
"Automatically open an extra slot if speed is below (0 = disable)", 
"Upload slots", 
"Register with Windows to handle dchub:// and adc:// URL links", 
"Register with Windows to handle magnet: URI links", 
"Use CTRL for line history", 
"Use OEM monospaced font for viewing text files", 
"Use system icons when browsing files (slows browsing down a bit)", 
"Use UPnP Control", 
"User Commands", 
"Windows", 
"Window options", 
"Write buffer size", 
"CRC32 inconsistency (SFV-Check)", 
"Shared", 
"Shared Files", 
"Size", 
"Max Size", 
"Min Size", 
"New virtual name matches old name, skipping...", 
"Slot granted", 
"Slots", 
"Slots set", 
"Socket has been shut down", 
"Socks server authentication failed (bad username / password?)", 
"The socks server doesn't support user / password authentication", 
"The socks server failed establish a connection", 
"The socks server requires authentication", 
"Failed to set up the socks server for UDP relay (check socks address and port)", 
"Source Type", 
"Specify a search string", 
"Specify a server to connect to", 
"Speed", 
"Status", 
"Stored password sent...", 
"Tag", 
"Target filename too long", 
"TB", 
"Time", 
"Time left", 
"Timestamps disabled", 
"Timestamps enabled", 
"More data was sent than was expected", 
"Total: ", 
"A file with the same hash already exists in your share", 
"TTH inconsistency", 
"TTH Root", 
"Type", 
"Unable to create thread", 
"Unknown", 
"Unknown address", 
"Unknown command: ", 
"Unknown error: 0x%x", 
"Unsupported filelist format", 
"Upload finished, idle...", 
"Upload starting...", 
"Uploaded %s (%.01f%%) in %s", 
" uploaded to ", 
"Failed to create port mappings. Please set up your NAT yourself.", 
"Failed to remove port mappings", 
"Failed to get external IP via  UPnP. Please set it yourself.", 
"User", 
"Chat", 
"Command", 
"Context", 
"Filelist Menu", 
"Hub IP / DNS (empty = all, 'op' = where operator)", 
"Hub Menu", 
"Send once per nick", 
"Parameters", 
"PM", 
"Text sent to hub", 
"Raw", 
"Search Menu", 
"To", 
"Command Type", 
"User Menu", 
"Create / Modify Command", 
"User Description", 
"User offline", 
"User went offline", 
"Users", 
"Video", 
"View as text", 
"Virtual name", 
"Name under which the others see the directory", 
"Waiting to retry...", 
"Waiting (User online)", 
"Waiting (%d of %d users online)", 
"Yes", 
"Copy email address", 
"Copy description", 
"Send public message", 
"Extra slots set", 
"Small file size set", 
"Invalid size", 
"CZDC++", 
"Colors & Fonts", 
"Kick user(s) with filename", 
"Client", 
"Version", 
"Mode", 
"Upload Limit", 
"Grant extra slot (hour)", 
"Grant extra slot (day)", 
"Grant extra slot (week)", 
"Copy", 
"Copy actual line", 
"Copy URL", 
"Select all", 
"Clear chat", 
"Autoscroll chat", 
"Upload Queue", 
"Extra Slots", 
"-- WARNING --\r\n-- You are in active mode, but have activated passive search. --\r\n-- Don't use passive search if you have search results without this option --\r\n-- because you don't get search result from passive clients !!! --\r\n-- Turn it off in settings => CZDC++ => Always use Passive Mode for Search --\r\n", 
"CZDC++ Features", 
"Send CZDC++ tag in description (always send if more than 10 hubs)", 
"Get information on new CZDC++ versions", 
"Filter Duplicate Search Results", 
"Private message sound", 
"Enable Transfer Rate Limiting", 
"Transfer Rate Limiting", 
"Upload Speed", 
"Download Speed", 
"Use Alternate Limiting from", 
"to", 
"Secondary Transfer Rate Limiting", 
"* Upload limit for first slot minimal 5 kB/s. Next slots 2 kB/s per slot !!!", 
"* If upload limit is set, download limit is max 7 x upload limit !!!", 
"Always use passive mode for Search (Use only if you know what this doing !!!)", 
"Progressbar colors", 
"Upload", 
"Progressbar text colors", 
"Winamp", 
"Available styles", 
"Back color", 
"Text color", 
"Text style", 
"Default styles", 
"Black & white", 
"Bold Authors of messages in chat", 
"Preview", 
"Select user in list", 
"Mini Upload Slots", 
"Small file size", 
"* Mini Uploads Slots => Slots for filelist and Small Files.", 
"Download with priority...", 
"Readd all sources", 
"Active Search", 
"Destination Directory", 
"Max Filesize", 
"Min Filesize", 
"ADLSearch Properties", 
"Size Type", 
"Search String", 
"Source Type", 
"Cancel", 
"OK", 
"Show InfoTips in lists", 
"User went online", 
"Highest Priority Extra Download Slots", 
"Copy TAG", 
"Minimize at program startup", 
"Confirm items removing from queue, favorite users, favorite hubs", 
"Search only users with free slots by default", 
"Open hub log", 
"Open user log", 
"User log not exist", 
"Hub log not exist", 
"Open downloads log", 
"Downloads log not exist", 
"Open uploads log", 
"Uploads log not exist", 
"Whois ", 
"Use file extension for Download to in search", 
"Error color", 
"Automatically expand folders in Queue", 
"Remove extra slot", 
"Download finished: %s From: %s", 
"Exact Share", 
"Copy Exact Share", 
"Enable IP column in userlist", 
"Copy IP", 
"Slow user", 
"Limits", 
"Minutes", 
"Disconnecting slow downloads", 
"Disconnect download if speed is below", 
"More than", 
"And all downloads not exceeds", 
"kB/s (0 = disable)", 
"Ignore User", 
"Unignore User", 
"Winamp Help", 
"/winamp - Works with 1.x, 2.x, 5.x (no WinAmp 3 support)\r\n- %[version]	Numerical Version (ex: 2.91)\r\n- %[state]	Playing state (ex: stopped/paused/playing)\r\n- %[title]		Window title from Winamp - if you want to change this for mp3s, Winamp > Pref > Input > MPEG > Title\r\n- %[rawtitle]	Window title from Winamp (if %[title] not working propertly)\r\n- %[percent]	Percentage (ex. 40%)\r\n- %[length]	Length in minutes:seconds (ex: 04:09)\r\n- %[elapsed]	Time elapsed in minutes:seconds (ex. 03:51)\r\n- %[bar]		ASCII progress bar, 10 characters wide no including brackets (ex. [----|-----])\r\n- %[bitrate]	Bitrate (ex. 128kbps)\r\n- %[sample]	Sample frequency (ex. 22kHz)\r\n- %[channels]	Number of channels (ex. stereo / mono)\r\nDefault String -> winamp(%[version]) %[state](%[title]) stats(%[percent] of %[length] %[bar])", 
"Enable slow downloads disconnecting", 
"And file size is more than", 
"Remove slow user from Queue", 
"Enable/Disable Away Mode", 
"Failed to shutdown!", 
"Enable/Disable Auto Shutdown", 
"Shutdown timeout (in seconds)", 
"Running... (User online)", 
"Running... (%d of %d users online)", 
"Report user with share size divided with MB or with six or more same numbers", 
"have share divided with MB and with 6 or more same numbers !!! Share size", 
"has share size with 6 or more same numbers !!! Share size", 
"has share size divided with MB !!! Share size", 
"Recent Hubs", 
"&Recent Hubs", 
"Transferred", 
"Toolbar", 
"Add ->", 
"<- Remove", 
"Available items", 
"Current items", 
"Enable Emoticons in chat", 
"Max Emoticons in one chat message", 
"Lines from log on new PM", 
"Preview", 
"Arguments: (%[file] %[dir] available)", 
"Apply to Extensions: (avi;mov;divx)", 
"File Preview", 
"Show Client Commands as status messages", 
"Show Server Commands as status messages", 
"Show User Commands as status messages", 
"Report finished download in status bar", 
"Upload finished: %s To: %s", 
"Report finished upload in status bar", 
"Copy magnet link to clipboard", 
"PB", 
"EB", 
"Magnet link", 
"&Transfers", 
"Report auto search for alternates in status bar", 
"Send alternate search for: ", 
"Remove offline users", 
"Send garbage on incomming connection (to avoid ISP P2P throttling)", 
"Send garbage on outgoing connection (to avoid ISP P2P throttling)", 
"Enable automatic TTH checking", 
"Bad", 
"Checking TTH...", 
"Waiting time", 
"File Size:", 
"Timestamps Help", 
"\r\n- %a - Abbreviated weekday name\r\n- %A - Full weekday name\r\n- %b - Abbreviated month name\r\n- %B - Full month name\r\n- %c - Date and time representation appropriate for locale\r\n- %d - Day of month as decimal number (01 – 31)\r\n- %H - Hour in 24-hour format (00 – 23)\r\n- %I - Hour in 12-hour format (01 – 12)\r\n- %j - Day of year as decimal number (001 – 366)\r\n- %m - Month as decimal number (01 – 12)\r\n- %M - Minute as decimal number (00 – 59)\r\n- %p - Current locale's A.M./P.M. indicator for 12-hour clock\r\n- %S - Second as decimal number (00 – 59)\r\n- %U - Week of year as decimal number, with Sunday as first day of week (00 – 53)\r\n- %w - Weekday as decimal number (0 – 6; Sunday is 0)\r\n- %W - Week of year as decimal number, with Monday as first day of week (00 – 53)\r\n- %x - Date representation for current locale\r\n- %X - Time representation for current locale\r\n- %y - Year without century, as decimal number (00 – 99)\r\n- %Y - Year with century, as decimal number\r\n- %z, %Z - Either the time-zone name or time zone abbreviation, depending on registry settings; no characters if time zone is unknown\r\n- %% - Percent sign\r\n\r\nDefault: %H:%M:%S", 
"Themes", 
"Do you really want to remove this item?", 
"Confirm hub closing", 
"Do you really want to close this hub?", 
"Pause Search", 
"Continue Search", 
"Nick to favorite hub added", 
"Password to favorite hub added", 
"This hub is not in favorites!", 
"Use alternate badwith limiting", 
"Mute sounds", 
"Emoticons file", 
"Reload", 
"Emoticons", 
"Clear recent kickline messages", 
"Clear recent searches", 
"Alternate upload slots", 
"(0 = disable)", 
"Show tabs on top", 
"Clear errors", 
"Paused color", 
"Close offline private messages", 
"Close all private messages", 
"Close all searchs", 
"Close all file lists", 
"Userlist double click action", 
"Transferlist double click action", 
"Chat double click on user action", 
"Remove hub topic (except hub window)", 
"Change Color", 
"Normal color", 
"Favorite user", 
"Has reserved slot", 
"Ignored user", 
"User with fireball", 
"User with server", 
"Active user", 
"Passive user", 
"User is OP", 
"Userlist colors", 
"Enable userlist colors", 
"Confirm connected hub reconnect", 
"Do you really want to reconnect?", 
"Log partial uploads (uploads to segmented downloading clients)", 
"Debug Messages", 
};

string ResourceManager::names[] = {
"Active", 
"ActiveSearchString", 
"Add", 
"AddToFavorites", 
"Added", 
"AddressAlreadyInUse", 
"AddressNotAvailable", 
"AdlDiscard", 
"AdlSearch", 
"AdlFullPath", 
"AllDownloadSlotsTaken", 
"AllUsersOffline", 
"All3UsersOffline", 
"All4UsersOffline", 
"All", 
"Any", 
"AtLeast", 
"AtMost", 
"Audio", 
"AutoConnect", 
"AutoGrant", 
"Average", 
"Away", 
"AwayModeOff", 
"AwayModeOn", 
"B", 
"BanUser", 
"Bool", 
"BothUsersOffline", 
"Browse", 
"BrowseAccel", 
"BrowseFileList", 
"ChooseFolder", 
"Close", 
"CloseConnection", 
"Compressed", 
"CompressionError", 
"Connect", 
"Connected", 
"Connecting", 
"ConnectingForced", 
"ConnectingTo", 
"Connection", 
"ConnectionClosed", 
"ConnectionRefused", 
"ConnectionReset", 
"ConnectionTimeout", 
"ConfiguredHubLists", 
"CopyHub", 
"CopyNick", 
"CouldNotOpenTargetFile", 
"Count", 
"Country", 
"CrcTth", 
"DecompressionError", 
"Description", 
"Destination", 
"Directory", 
"DirectoryAlreadyShared", 
"DirectoryAddError", 
"DisconnectUser", 
"DiscFull", 
"Disconnected", 
"DisconnectedUser", 
"Document", 
"Done", 
"DontRemoveSlashPassword", 
"DontShareTempDirectory", 
"Download", 
"DownloadFailed", 
"DownloadFinishedIdle", 
"DownloadQueue", 
"DownloadStarting", 
"DownloadTo", 
"DownloadWholeDir", 
"DownloadWholeDirTo", 
"Downloaded", 
"DownloadedBytes", 
"DownloadedFrom", 
"Downloading", 
"DownloadingHubList", 
"DownloadingList", 
"DuplicateFileNotShared", 
"DuplicateMatch", 
"DuplicateSource", 
"EditAccel", 
"Email", 
"EnterNick", 
"EnterSearchString", 
"Errors", 
"ExactSize", 
"Executable", 
"FavJoinShowingOff", 
"FavJoinShowingOn", 
"FavoriteDirName", 
"FavoriteDirNameLong", 
"FavoriteHubAdded", 
"FavoriteHubIdentity", 
"FavoriteHubProperties", 
"FavoriteHubs", 
"FavoriteUserAdded", 
"FavoriteUsers", 
"File", 
"Files", 
"FileListRefreshFinished", 
"FileListRefreshInitiated", 
"FileNotAvailable", 
"FileType", 
"FileWithDifferentSize", 
"FileWithDifferentTth", 
"Filename", 
"FilesLeft", 
"FilesPerHour", 
"Filter", 
"Filtered", 
"Find", 
"FinishedDownloads", 
"FinishedUploads", 
"ForbiddenDollarFile", 
"ForceAttempt", 
"Gb", 
"GetFileList", 
"GoToDirectory", 
"GrantExtraSlot", 
"HashDatabase", 
"HashProgress", 
"HashProgressBackground", 
"HashProgressStats", 
"HashProgressText", 
"HashRebuilt", 
"HashingFinished", 
"High", 
"Highest", 
"HitRatio", 
"Hits", 
"HostUnreachable", 
"Hub", 
"Hubs", 
"HubAddress", 
"HubListDownloaded", 
"HubName", 
"HubUsers", 
"IgnoreTthSearches", 
"IgnoredMessage", 
"InvalidNumberOfSlots", 
"InvalidTargetFile", 
"InvalidTree", 
"Ip", 
"IpBare", 
"Items", 
"JoinShowingOff", 
"JoinShowingOn", 
"Joins", 
"Kb", 
"Kbps", 
"KickUser", 
"LargerTargetFileExists", 
"LastChange", 
"LastHub", 
"LastSeen", 
"Left", 
"Loading", 
"Low", 
"Lowest", 
"MagnetDlgFile", 
"MagnetDlgHash", 
"MagnetDlgNothing", 
"MagnetDlgQueue", 
"MagnetDlgRemember", 
"MagnetDlgSearch", 
"MagnetDlgTextBad", 
"MagnetDlgTextGood", 
"MagnetDlgTitle", 
"MagnetHandlerDesc", 
"MagnetHandlerRoot", 
"MagnetShellDesc", 
"ManualAddress", 
"MatchQueue", 
"MatchedFiles", 
"MaxHubs", 
"MaxUsers", 
"Mb", 
"Mbps", 
"MenuAbout", 
"MenuAdlSearch", 
"MenuArrange", 
"MenuCascade", 
"MenuCloseDisconnected", 
"MenuDiscuss", 
"MenuDownloadQueue", 
"MenuExit", 
"MenuFavoriteHubs", 
"MenuFavoriteUsers", 
"MenuFile", 
"MenuFollowRedirect", 
"MenuHashProgress", 
"MenuHelp", 
"MenuHomepage", 
"MenuHorizontalTile", 
"MenuMinimizeAll", 
"MenuRestoreAll", 
"MenuNetworkStatistics", 
"MenuNotepad", 
"MenuOpenDownloadsDir", 
"MenuOpenFileList", 
"MenuOpenOwnList", 
"MenuPublicHubs", 
"MenuQuickConnect", 
"MenuReconnect", 
"MenuRefreshFileList", 
"MenuSearch", 
"MenuSearchSpy", 
"MenuSettings", 
"MenuShow", 
"MenuStatusBar", 
"MenuToolbar", 
"MenuTransferView", 
"MenuVerticalTile", 
"MenuView", 
"MenuWindow", 
"MinShare", 
"MinSlots", 
"Move", 
"MoveDown", 
"MoveUp", 
"NetworkStatistics", 
"NetworkUnreachable", 
"New", 
"Next", 
"Nick", 
"NickTaken", 
"NickUnknown", 
"No", 
"NoDirectorySpecified", 
"NoDownloadsFromSelf", 
"NoErrors", 
"NoMatches", 
"NoSlotsAvailable", 
"NoUsers", 
"NoUsersToDownloadFrom", 
"NonBlockingOperation", 
"Normal", 
"NotConnected", 
"NotSocket", 
"Notepad", 
"Offline", 
"Online", 
"OnlyFreeSlots", 
"OnlyTth", 
"OnlyWhereOp", 
"Open", 
"OpenDownloadPage", 
"OpenFolder", 
"OperatingSystemNotCompatible", 
"OperationWouldBlockExecution", 
"OutOfBufferSpace", 
"Parts", 
"PassiveUser", 
"Password", 
"Path", 
"Paused", 
"PermissionDenied", 
"Picture", 
"Port", 
"PortIsBusy", 
"PressFollow", 
"Priority", 
"PrivateMessageFrom", 
"Properties", 
"PublicHubs", 
"QuickConnect", 
"Rating", 
"Ratio", 
"ReaddSource", 
"ReallyExit", 
"RedirectAlreadyConnected", 
"RedirectUser", 
"Refresh", 
"Reliability", 
"Remove", 
"RemoveAll", 
"RemoveAllSubdirectories", 
"RemoveFromAll", 
"RemoveSource", 
"RollbackInconsistency", 
"Running", 
"Search", 
"SearchFor", 
"SearchForAlternates", 
"SearchForFile", 
"SearchOptions", 
"SearchSpamFrom", 
"SearchSpy", 
"SearchString", 
"SearchingFor", 
"SearchingReady", 
"SearchingWait", 
"SeekBeyondEnd", 
"SendPrivateMessage", 
"Separator", 
"Server", 
"SetPriority", 
"Settings", 
"SettingsAddFinishedInstantly", 
"SettingsAddFolder", 
"SettingsAdlsBreakOnFirst", 
"SettingsAdvanced", 
"SettingsAdvancedResume", 
"SettingsAdvancedSettings", 
"SettingsAntiFrag", 
"SettingsAppearance", 
"SettingsAutoAway", 
"SettingsAutoFollow", 
"SettingsAutoKick", 
"SettingsAutoSearch", 
"SettingsAutoSearchAutoMatch", 
"SettingsAutoUpdateList", 
"SettingsAutoOpen", 
"SettingsBindAddress", 
"SettingsChange", 
"SettingsClearSearch", 
"SettingsCommand", 
"SettingsCompressTransfers", 
"SettingsConfigureHubLists", 
"SettingsConfirmExit", 
"SettingsConnectionSettings", 
"SettingsConnectionType", 
"SettingsDefaultAwayMsg", 
"SettingsDirectories", 
"SettingsDontDlAlreadyShared", 
"SettingsDownloadDirectory", 
"SettingsDownloadLimits", 
"SettingsDownloads", 
"SettingsDownloadsMax", 
"SettingsDownloadsSpeedPause", 
"SettingsFavShowJoins", 
"SettingsFavoriteDirsPage", 
"SettingsFavoriteDirs", 
"SettingsFileName", 
"SettingsFilterMessages", 
"SettingsFinishedDirty", 
"SettingsFormat", 
"SettingsGeneral", 
"SettingsGetUserCountry", 
"SettingsHubUserCommands", 
"SettingsIgnoreOffline", 
"SettingsIp", 
"SettingsKeepLists", 
"SettingsLanguageFile", 
"SettingsListDupes", 
"SettingsLogDownloads", 
"SettingsLogFilelistTransfers", 
"SettingsLogMainChat", 
"SettingsLogPrivateChat", 
"SettingsLogStatusMessages", 
"SettingsLogSystemMessages", 
"SettingsLogUploads", 
"SettingsLogging", 
"SettingsLogs", 
"SettingsMagnetAsk", 
"SettingsMaxHashSpeed", 
"SettingsMaxTabRows", 
"SettingsMinimizeTray", 
"SettingsName", 
"SettingsOnlyHashed", 
"SettingsOnlyTth", 
"SettingsOpenNewWindow", 
"SettingsOptions", 
"SettingsPassive", 
"SettingsPersonalInformation", 
"SettingsPmBeep", 
"SettingsPmBeepOpen", 
"SettingsPopunderFilelist", 
"SettingsPopunderPm", 
"SettingsPopupOffline", 
"SettingsPopupPms", 
"SettingsPort", 
"SettingsPublicHubList", 
"SettingsPublicHubListHttpProxy", 
"SettingsPublicHubListUrl", 
"SettingsQueueDirty", 
"SettingsQueue", 
"SettingsRenameFolder", 
"SettingsRequiresRestart", 
"SettingsRollback", 
"SettingsSelectTextFace", 
"SettingsSelectWindowColor", 
"SettingsSendUnknownCommands", 
"SettingsSfvCheck", 
"SettingsShareHidden", 
"SettingsShareSize", 
"SettingsSharedDirectories", 
"SettingsShowJoins", 
"SettingsShowProgressBars", 
"SettingsSkipZeroByte", 
"SettingsSmallSendBuffer", 
"SettingsSocks5", 
"SettingsSocks5Ip", 
"SettingsSocks5Port", 
"SettingsSocks5Resolve", 
"SettingsSocks5Username", 
"SettingsSounds", 
"SettingsSpeedsNotAccurate", 
"SettingsStatusInChat", 
"SettingsTabCompletion", 
"SettingsTabDirty", 
"SettingsPrioHighest", 
"SettingsPrioHigh", 
"SettingsPrioNormal", 
"SettingsPrioLow", 
"SettingsPrioLowest", 
"SettingsTimeStamps", 
"SettingsTimeStampsFormat", 
"SettingsToggleActiveWindow", 
"SettingsUdpPort", 
"SettingsUnfinishedDownloadDirectory", 
"SettingsUploads", 
"SettingsUploadsMinSpeed", 
"SettingsUploadsSlots", 
"SettingsUrlHandler", 
"SettingsUrlMagnet", 
"SettingsUseCtrlForLineHistory", 
"SettingsUseOemMonofont", 
"SettingsUseSystemIcons", 
"SettingsUseUpnp", 
"SettingsUserCommands", 
"SettingsWindows", 
"SettingsWindowsOptions", 
"SettingsWriteBuffer", 
"SfvInconsistency", 
"Shared", 
"SharedFiles", 
"Size", 
"SizeMax", 
"SizeMin", 
"SkipRename", 
"SlotGranted", 
"Slots", 
"SlotsSet", 
"SocketShutDown", 
"SocksAuthFailed", 
"SocksAuthUnsupported", 
"SocksFailed", 
"SocksNeedsAuth", 
"SocksSetupError", 
"SourceType", 
"SpecifySearchString", 
"SpecifyServer", 
"Speed", 
"Status", 
"StoredPasswordSent", 
"Tag", 
"TargetFilenameTooLong", 
"Tb", 
"Time", 
"TimeLeft", 
"TimestampsDisabled", 
"TimestampsEnabled", 
"TooMuchData", 
"Total", 
"TthAlreadyShared", 
"TthInconsistency", 
"TthRoot", 
"Type", 
"UnableToCreateThread", 
"Unknown", 
"UnknownAddress", 
"UnknownCommand", 
"UnknownError", 
"UnsupportedFilelistFormat", 
"UploadFinishedIdle", 
"UploadStarting", 
"UploadedBytes", 
"UploadedTo", 
"UpnpFailedToCreateMappings", 
"UpnpFailedToRemoveMappings", 
"UpnpFailedToGetExternalIp", 
"User", 
"UserCmdChat", 
"UserCmdCommand", 
"UserCmdContext", 
"UserCmdFilelistMenu", 
"UserCmdHub", 
"UserCmdHubMenu", 
"UserCmdOnce", 
"UserCmdParameters", 
"UserCmdPm", 
"UserCmdPreview", 
"UserCmdRaw", 
"UserCmdSearchMenu", 
"UserCmdTo", 
"UserCmdType", 
"UserCmdUserMenu", 
"UserCmdWindow", 
"UserDescription", 
"UserOffline", 
"UserWentOffline", 
"Users", 
"Video", 
"ViewAsText", 
"VirtualName", 
"VirtualNameLong", 
"WaitingToRetry", 
"WaitingUserOnline", 
"WaitingUsersOnline", 
"Yes", 
"CopyEmailAddress", 
"CopyDescription", 
"SendPublicMessage", 
"ExtraSlotsSet", 
"SmallFileSizeSet", 
"InvalidSize", 
"SettingsCzdc", 
"SettingsTextStyles", 
"KickUserFile", 
"Clientid", 
"Version", 
"Mode", 
"Limit", 
"GrantExtraSlotHour", 
"GrantExtraSlotDay", 
"GrantExtraSlotWeek", 
"Copy", 
"CopyLine", 
"CopyUrl", 
"SelectAll", 
"Clear", 
"AscrollChat", 
"UploadQueue", 
"GrantSlotsMenu", 
"AntiPassiveSearch", 
"SetczdcFeat", 
"SetczdcSendTag", 
"SetczdcGetDcUpdate", 
"SetczdcFilterSearch", 
"SetczdcPrivateSound", 
"SetczdcEnableLimiting", 
"SetczdcTransferLimiting", 
"SetczdcUploadSpeed", 
"SetczdcDownloadSpeed", 
"SetczdcAlternateLimiting", 
"SetczdcTo", 
"SetczdcSecondaryLimiting", 
"SetczdcNoteUpload", 
"SetczdcNoteDownload", 
"SetczdcPassiveSearch", 
"SetczdcProgressbarColors", 
"SetczdcUpload", 
"SetczdcProgressbarText", 
"SetczdcWinamp", 
"SetczdcStyles", 
"SetczdcBackColor", 
"SetczdcTextColor", 
"SetczdcTextStyle", 
"SetczdcDefaultStyle", 
"SetczdcBlackWhite", 
"SetczdcBold", 
"SetczdcPreview", 
"SelectUserList", 
"SetczdcSmallUpSlots", 
"SetczdcSmallFiles", 
"SetczdcNoteSmallUp", 
"DownloadWithPriority", 
"ReaddAllSources", 
"AdlsearchActiveSearch", 
"AdlsearchDestinationDirectory", 
"AdlsearchMaxSize", 
"AdlsearchMinSize", 
"AdlsearchProperties", 
"AdlsearchSizeType", 
"AdlsearchSearchString", 
"AdlsearchSourceType", 
"Cancel", 
"Ok", 
"SettingsShowInfoTips", 
"UserWentOnline", 
"SettingsCzdcExtraDownloads", 
"CopyTag", 
"SettingsMinimizeOnStartup", 
"SettingsConfirmDelete", 
"SettingsFreeSlotDefault", 
"OpenHubLog", 
"OpenUserLog", 
"NoLogForUser", 
"NoLogForHub", 
"OpenDownloadLog", 
"NoDownloadLog", 
"OpenUploadLog", 
"NoUploadLog", 
"WhoIs", 
"SettingsUseExtensionDownto", 
"SetczdcErrorColor", 
"SettingsExpandQueue", 
"RemoveExtraSlot", 
"FinishedDownload", 
"ExactShared", 
"CopyExactShare", 
"SettingsShowIp", 
"CopyIp", 
"SlowUser", 
"SettingsLimit", 
"Minutes", 
"SetczdcSlowDisconnect", 
"SetczdcIDownSpeed", 
"SetczdcTimeDown", 
"SetczdcHDownSpeed", 
"KbpsDisable", 
"IgnoreUser", 
"UnignoreUser", 
"WinampHelpDesc", 
"WinampHelp", 
"SetczdcDisconnectingEnable", 
"SetczdcMinFileSize", 
"SetczdcRemoveSlowUser", 
"ToolbarAway", 
"FailedToShutdown", 
"ToolbarShutdown", 
"SetczdcShutdowntimeout", 
"RunningUserOnline", 
"RunningUsersOnline", 
"SetczdcShareCheat", 
"SameNumberDivided", 
"ManySameNumber", 
"DividedMb", 
"RecentHubs", 
"MenuFileRecentHubs", 
"Transferred", 
"SettingsToolbar", 
"SettingsToolbarAdd", 
"SettingsToolbarRemove", 
"SettingsToolbarAvailable", 
"SettingsToolbarCurrent", 
"SetczdcUseCmajlies", 
"SetczdcMaxEmoticons", 
"SetczdcPmLines", 
"SettingsPreview", 
"SettingsArgument", 
"SettingsExtensions", 
"PreviewMenu", 
"SetczdcClientCommands", 
"SetczdcServerCommands", 
"SetczdcUserCommands", 
"SetczdcReportDownload", 
"FinishedUpload", 
"SetczdcReportUpload", 
"CopyMagnetLink", 
"Pb", 
"Eb", 
"MagnetLink", 
"MenuTransfers", 
"ReportAlternates", 
"AlternatesSend", 
"RemoveOffline", 
"GarbageIncoming", 
"GarbageOutgoing", 
"SetczdcTthCheck", 
"Bad", 
"CheckingTth", 
"WaitingTime", 
"MagnetDlgSize", 
"TimestampHelpDesc", 
"TimestampHelp", 
"SettingsThemes", 
"ConfirmRemove", 
"SettingsHubclose", 
"ConfirmHubclose", 
"PauseSearch", 
"ContinueSearch", 
"NickForFavorite", 
"PassForFavorite", 
"HubNotFavorite", 
"UseAlternateLimitTray", 
"MuteSoundsTray", 
"SetczdcEmoticonsfile", 
"Reload", 
"Emoticons", 
"Clearkickline", 
"Clearsearches", 
"SetczdcAlternateSlots", 
"SetczdcZeroDisable", 
"SetczdcTabsOnTop", 
"ClearErrors", 
"PausedColor", 
"CloseDisconnectedPm", 
"CloseAllPm", 
"CloseAllSearchs", 
"CloseAllFilelists", 
"Userlistdblclickaction", 
"Transferlistdblclickaction", 
"Chatdblclickaction", 
"StripTopic", 
"ChangeColor", 
"NormalColor", 
"FavoriteUser", 
"HasReservedSlot", 
"IgnoredUser", 
"UserWithFireball", 
"UserWithServer", 
"ActiveUser", 
"PassiveUser", 
"UserIsOP", 
"UserlistColors", 
"EnableUserlistColors", 
"ConfirmConnectedHubReconnect", 
"ConfirmHubReconnect", 
"LogPartialUploads", 
"DebugMessages",
};

/* Some parts Copyright (C) 2002-2005 Petr Kozelka, PPK at seznam dot cz */